function [psi,V,VDk] = initialize(this,Params,VParams,Transf)
    
    % == User-defined potential == %
    V = this.Potential;
    assert(~anynan(V), 'Potential not defined! Specify as <SimulatorObject>.Potential = <PotentialsObject>.trap() + <AdditionalTerms>.');
    
    % == Calculating the DDIs == %
    if isfile(strcat(this.SaveDirectory, '/VDk_M.mat'))
        VDk = load(sprintf(strcat(this.SaveDirectory, '/VDk_M.mat')));
        VDk = VDk.VDk;
        VDkSize = size(VDk);
        if VDkSize(1) ~= Params.Nx && VDkSize(2) ~= Params.Ny
            VDk = this.Calculator.calculateVDkWithCutoff(Transf, Params, VParams);
            save(sprintf(strcat(this.SaveDirectory, '/VDk_M.mat')),'VDk');
            fprintf('Saved VDk incomensurate with specified grid points: Computed and saved DDI potential for new grid size in Fourier space with cutoff.\n')
        end
    else
        VDk = this.Calculator.calculateVDkWithCutoff(Transf, Params, VParams);
        save(sprintf(strcat(this.SaveDirectory, '/VDk_M.mat')),'VDk');
        fprintf('Computed and saved DDI potential in Fourier space with cutoff.\n')
    end
    
    % == Setting up the initial wavefunction == %
    psi = this.setupWavefunction(Params,Transf);

    if this.RunOnGPU
        psi = gpuArray(psi);
    end
end